Subject: bug#45200: [PATCH] Force Glibc to free the memory freed

From: Konstantin Kharlamov <[email-masked]>
Date: Wed, 03 Feb 2021 13:35:35 +0300

On Wed, 2021-02-03 at 12:49 +0300, Konstantin Kharlamov wrote:
> On Wed, 2021-02-03 at 10:35 +0100, martin rudalics wrote:
> >  All the examples you cite have a
> > culprit - an application that produces too much garbage.  Identifying
> > those applications would be much better than working around them by
> > disabling GC, for example, while a user is in a minibuffer dialog.  That
> > latter case even must have an easy to identify responsible, just that
> > nobody cares. 
> 
> Sure, I completely agree with you. But that is orthogonal to the problem of
> free()ed memory not actually being freed.

Sorry, I figured, I might need to elaborate here. The usecase of GC being temporarily disabled is merely a reproducer for the problem with free(). There may be other usecases as well, which is why I consider the questions of "disabling GC" and the "free not freeing memory" kinda separate.